<div class="relative pt-28 pb-14 md:pt-40 md:pb-24 lg:pt-44 xl:pt-56 xl:pb-32">
    @if(isinvalidName || isInvalidEmail || connexionProblem){
    <div class="rounded animate-fadeIn delay-700 bg-red-100 px-4 py-3 mx-3 mb-8 -mt-4 md:-mt-12 xl:-mt-16 xl:mx-60">
        <div class="flex gap-3">
            <i class="fa-solid fa-circle-xmark text-red-400 mt-1"></i>
            @if(isinvalidName || isInvalidEmail){
            <p class="font-medium text-red-900">Oups, la création du compte a échoué</p>
            }
            @if(connexionProblem){
            <p class="font-medium text-red-900">Oups, un problème est survenu...</p>
            }
        </div>
        @if(isinvalidName){
        <p class="text-red-700 text-sm ml-7 mt-2">Le nom d'utilisateur que vous avez rentré est déjà pris...</p>
        }
        @if(isInvalidEmail){
        <p class="text-red-700 text-sm ml-7 mt-2">L'email que vous avez rentré est déjà utilisé...</p>
        }
    </div>
    }

    <div>
        <h2 class="text-center text-[#C29667] text-2xl min[425px]:text-xl relative md:text-3xl xl:text-4xl">
            Créer un compte
        </h2>
        <hr class="absolute mt-2 left-1/2 transform -translate-x-1/2 w-16 border-t-1 border-[#C29667]">
    </div>

    <form [formGroup]="registerForm" (ngSubmit)="onSubmit()">
        <div class="w-full px-5 mt-10 md:w-fit md:mx-auto">
            <div class="relative mb-4 text-left">
                <label for="user_name" class="leading-7 text-gray-600">Nom utilisateur</label>
                <input type="text" id="user_name" name="user_name"
                    class="w-full rounded bg-gray-200 focus:ring-2 focus:ring-[#C29667] text-base outline-none py-1 px-4 leading-8 transition-colors duration-200 ease-in-out border-2 {{ isRequiredUsername ? 'border-rose-600' : '' }}"
                    formControlName="user_name">
                @if(isRequiredUsername){
                <span class="text-rose-600 dark:text-rose-500 text-sm">Le nom d'utilisateur ne peut pas être vide</span>
                }
            </div>
            <div class="relative mb-4 text-left">
                <label for="user_mail" class="leading-7 text-gray-600">Email</label>
                <input type="email" id="user_mail" name="user_mail"
                    class="w-full rounded bg-gray-200 focus:ring-2 focus:ring-[#C29667] text-base outline-none py-1 px-4 leading-8 transition-colors duration-200 ease-in-out border-2 {{ isRequiredEmail || isEmailValid ? 'border-rose-600' : '' }}"
                    formControlName="user_mail">
                @if(isRequiredEmail){
                <span class="text-rose-600 dark:text-rose-500 text-sm">L'e-mail ne peut pas être vide</span>
                }
                @if(isEmailValid){
                <span class="text-rose-600 dark:text-rose-500 text-sm">L'e-mail n'est pas correct</span>
                }
            </div>
            <div class="relative mb-4 text-left">
                <label for="password" class="leading-7 text-gray-600">Mot de passe</label>
                <input type="password" id="password" name="password"
                    class="w-full rounded bg-gray-200 focus:ring-2 focus:ring-[#C29667] text-base outline-none py-1 px-4 leading-8 transition-colors duration-200 ease-in-out border-2 {{ isRequiredPassword || isPasswordValid ? 'border-rose-600' : '' }}"
                    formControlName="password">
                @if(isRequiredPassword){
                <span class="text-rose-600 dark:text-rose-500 text-sm">Le mot de passe ne peut pas être vide</span>
                }
                @if(isPasswordValid){
                <span class="text-rose-600 dark:text-rose-500 text-sm">Le mot de passe n'est pas valide, il doit au
                    minimum contenir 8 caractère, 1 caractère spécial, 1 majuscule et un chiffre...</span>
                }
            </div>
            <div class="relative mb-4 text-left">
                <label for="onfirm-password" class="leading-7 text-gray-600">Confirmation mot de passe</label>
                <input type="password" name="confirm-password"
                    class="w-full rounded bg-gray-200 focus:ring-2 focus:ring-[#C29667] text-base outline-none py-1 px-4 leading-8 transition-colors duration-200 ease-in-out border-2 {{ isNotSame || isRequiredConfirm ? 'border-rose-600' : '' }}"
                    formControlName="confirmPassword">
                @if(isNotSame){
                <span class="text-rose-600 dark:text-rose-500 text-sm">Le mot de passe rentré ici n'est pas le même que
                    celui précisé en haut</span>
                }
                @if(isRequiredConfirm){
                <span class="text-rose-600 dark:text-rose-500 text-sm">Vous devez confirmer votre mot de passe !</span>
                }
            </div>
            <input id="comments" aria-describedby="comments-description" name="comments" type="checkbox"
                class="mt-6 border-2 {{ isNotChecked ? 'border-rose-600' : '' }}" formControlName="conditions">
            <label for="comments" class="ml-3 font-light">J’accepte les <span class="underline hover:text-orange-500">
                    <a href="conditions-générales-dutilisation">CGU</a></span>
            </label>
            @if(isNotChecked){
            <br />
            <span class="text-rose-600 dark:text-rose-500 text-xs">Vous devez accepter les conditions générales d'utilisations !</span>
            }
            <button
                class="text-white bg-[#C29667] border-0 py-2 mt-5 px-8 focus:outline-none hover:bg-[#734124] transition duration-500 rounded-full text-lg xl:text-xl w-full"
                type="submit">
                Créer un compte
            </button>
            <div class="flex text-xs justify-center gap-4 mt-10">
                <p>Vous avez déjà un compte ?</p>
                <a href="connect-to-your-account" class="text-orange-500">Connectez-vous !</a>
            </div>
        </div>
    </form>
</div>

<app-spinner [loading]="isLoading"></app-spinner>

<app-modal [isOpen]="modalInfo" [title]="'Vous y êtes presque !'">
    <p>Un e-mail de confirmation vous a été envoyé à l'adresse mail renseignée dans le formulaire.</p>
    <p>Rendez-vous sur votre boîte mail afin de finaliser votre inscription</p>
</app-modal>